Skip to content

Agent Prepare

POST
/api/connect/prepare
curl --request POST \
--url https://agentauthority.org/api/connect/prepare \
--header 'Content-Type: application/json' \
--data '{ "public_key": "example" }'
Media typeapplication/json
AgentKey
object
public_key
required
Public Key
string
<= 100 characters

Example generated

{
"public_key": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}